package cn.com.qmth.examcloud.outlet.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import cn.com.qmth.examcloud.outlet.entity.OutletStudent;

import java.util.List;

/**
 * Created by yuanpan on 2017/4/25.
 */
@FeignClient(value = "ExamCloud-service-core")
public interface StudentClient {

    @RequestMapping(method = RequestMethod.POST, value = "${app.api.core}/student")
    ResponseEntity<OutletStudent> save(@RequestHeader("user_token") String token, @RequestBody OutletStudent student);

    @RequestMapping(method = RequestMethod.GET, value = "${app.api.core}/student")
    ResponseEntity<List<OutletStudent>> getStudentByIdentityNumber(@RequestHeader("user_token") String token, @RequestParam("identityNumber") String identityNumber);

    @RequestMapping(method = RequestMethod.PUT, value = "${app.api.core}/student")
    ResponseEntity<OutletStudent> updateStudent(@RequestHeader("user_token") String token, @RequestBody OutletStudent student);
}
